cancel
Showing results for 
Search instead for 
Did you mean: 

SUPEE-6788 and Magento 1.7.0.0

SUPEE-6788 and Magento 1.7.0.0

So I just tried installing the patch on one of our stores and it failed.  It seems like everything is fine except for one file.  app/code/core/Mage/Core/Controller/Varien/Router/Admin.php.  I'm not sure where to go from here.  Here's the output I got. 

 

--------------------------
|diff --git app/code/core/Mage/Core/Controller/Varien/Router/Admin.php app/code/core/Mage/Core/Controller/Varien/Router/Admin.php
|index 04a9869..2b33a72 100644
|--- app/code/core/Mage/Core/Controller/Varien/Router/Admin.php
|+++ app/code/core/Mage/Core/Controller/Varien/Router/Admin.php
--------------------------
Patching file app/code/core/Mage/Core/Controller/Varien/Router/Admin.php using Plan A...
No such line 133 in input file, ignoring
Hunk #1 failed at 131.
1 out of 1 hunks failed while patching app/code/core/Mage/Core/Controller/Varien/Router/Admin.php
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:

 

3 REPLIES

Re: SUPEE-6788 and Magento 1.7.0.0

have you applied all previous security patches?  Check app/etc/applied.patches.list to see if you've missed one or more.

Re: SUPEE-6788 and Magento 1.7.0.0

Hi @adamnicholls85

 

You should check app/code/core/Mage/Core/Controller/Varien/Router/Admin.php  file with the default unmodified file of  your Magento version.

You should download the Magento version which you are using and compare for any of the file changes in mentioned file.If there are changes in the file then keep backup of file and replace it with default magento file.

 

After this reapply the patch.

---
Problem Solved Click Accept as Solution!:Magento Community India Forum

Re: SUPEE-6788 and Magento 1.7.0.0

This is happening because you are missing one of the earlier patches (SUPEE-5994) that created the previously non-existent file:

 

app/code/core/Mage/Core/Controller/Varien/Router/Admin.php

 

Applying SUPEE-5994 will need to be done. Create the path app/code/core/Mage/Core/Controller/Varien/Router/ or this patch will fail to apply.